<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8263BEAB-1610-4F82-9FC0-84421E5AB6B0}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Ntp.Analyzer.Data</RootNamespace>
    <AssemblyName>Ntp.Analyzer.Data</AssemblyName>
    <ReleaseVersion>0.7.0</ReleaseVersion>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>TRACE;DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin</OutputPath>
    <DefineConstants>TRACE;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\Shared\AssemblyInfo.cs" />
    <Compile Include="Changes\Change03.cs" />
    <Compile Include="DataFace.cs" />
    <Compile Include="Import\TimeServerImporter.cs" />
    <Compile Include="Import\TimeServerLoader.cs" />
    <Compile Include="Log\LogExtensions.cs" />
    <Compile Include="Sql\DriftReadingDatabaseMapper.cs" />
    <Compile Include="Sql\HostDatabaseMapper.cs" />
    <Compile Include="Sql\HostReadingDatabaseMapper.cs" />
    <Compile Include="Sql\PeerDatabaseMapper.cs" />
    <Compile Include="Sql\PeerReadingDatabaseMapper.cs" />
    <Compile Include="Sql\TimeServerDatabaseMapper.cs" />
    <Compile Include="Sql\PeerActivityDatabaseMapper.cs" />
    <Compile Include="Sql\SqlDatabaseMapper.cs" />
    <Compile Include="Sql\FilteredSqlDatabaseMapper.cs" />
    <Compile Include="DatabaseInitializer.cs" />
    <Compile Include="Changes\Change01.cs" />
    <Compile Include="Sql\ReadingBulkMapper.cs" />
    <Compile Include="Sql\AssociationEntryMapper.cs" />
    <Compile Include="Sql\HostIoReadingDatabaseMapper.cs" />
    <Compile Include="Changes\Change02.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup />
  <ItemGroup>
    <ProjectReference Include="..\Ntp.Analyzer.Objects\Ntp.Analyzer.Objects.csproj">
      <Project>{02912378-E62D-4445-BA30-F56D3ABE9DA2}</Project>
      <Name>Ntp.Analyzer.Objects</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Common\Ntp.Common.csproj">
      <Project>{86848F80-2692-47AB-A68A-BFB2990B632E}</Project>
      <Name>Ntp.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Data\Ntp.Data.csproj">
      <Project>{03F3B0D9-AC35-43E3-9303-87A71FB73CD1}</Project>
      <Name>Ntp.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Ntp.Data.Provider\Ntp.Data.Provider.csproj">
      <Project>{B982916F-F2F1-4975-89A6-C8BACDC65542}</Project>
      <Name>Ntp.Data.Provider</Name>
    </ProjectReference>
  </ItemGroup>
</Project>